## GeditViewActivatable

GeditViewActivatable — Interface for activatable extensions on views

## Functions

void | gedit_view_activatable_activate ()
void | gedit_view_activatable_deactivate ()

## Properties

GeditView * | view | Read / Write / Construct Only

## Types and Values

| GeditViewActivatable

## Object Hierarchy

        GInterface
        ╰── GeditViewActivatable

## Prerequisites

GeditViewActivatable requires GObject.

## Description

GeditViewActivatable is an interface which should be implemented by extensions that should be activated on a gedit view.

## Functions

### gedit_view_activatable_activate ()

    void
    gedit_view_activatable_activate (GeditViewActivatable *activatable);

Activates the extension on the window property.

#### Parameters

activatable | A GeditViewActivatable. |

### gedit_view_activatable_deactivate ()

    void
    gedit_view_activatable_deactivate (GeditViewActivatable *activatable);

Deactivates the extension on the window property.

#### Parameters

activatable | A GeditViewActivatable. |

## Types and Values

### GeditViewActivatable

    typedef struct _GeditViewActivatable GeditViewActivatable;

## Property Details

### The `“view”` property

      “view”                     GeditView *

The window property contains the gedit window for this GeditViewActivatable instance.

Owner: GeditViewActivatable

Flags: Read / Write / Construct Only

## See Also

PeasExtensionSet